package com.dayou.service;
import com.dayou.entity.UserArchive;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 员工档案 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-09-02
 */
public interface IUserArchiveService extends IService<UserArchive> {

        Page<UserArchive> selectPage(Page page,UserArchive userArchive);

        UserArchive detail(Long id);

        Boolean add(UserArchive userArchive);

        Boolean update(UserArchive userArchive);

        Boolean delete(Long id);

    UserArchive getRegistrationNoByUserId(Long userId);
}
